<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/***** カラーピッカーを使えるようにする *****/
function haumenu_submenu_ac_color_picker_init( $hook_suffix ) {
  // 実装したいページで var_dump( $hook_suffix ) 等して調べる.
  if ( 'ha-utilitiy_page_haumenu_page_addcontent' === $hook_suffix ) {
    wp_enqueue_script( 'wp-color-picker' );
    wp_enqueue_style( 'wp-color-picker' );
    wp_add_inline_script(
      'wp-color-picker',
      'jQuery(document).ready(function($){
        $(\'.color-picker-hex\').wpColorPicker();
      });'
    );
  }
}
add_action( 'admin_enqueue_scripts', 'haumenu_submenu_ac_color_picker_init' );

/***** 規定値の設定 *****/
/* $parent_slug メインメニューのスラグ */
//haumenu_define_menu_slug()

/* $menu_slug サブメニューのスラグ */
function haumenu_define_slug_addcontent(){
	return 'haumenu_page_addcontent';
}

/*** パターン機能 ***/
/* セクションID */
function haumenu_define_section_id_01_addcontent(){
	return 'haumenu-section-01-addcontent';
}

/* タブのスラグ */
function haumenu_define_tab_slug_01_addcontent(){
	return 'haumenu-tab-slug-01-addcontent';
}

/* $option_group 設定グループ名 */
function haumenu_define_option_group_01_addcontent(){
	return 'haumenu-option-group-01-addcontent';
}

/* $option_name 設定名 */
function haumenu_define_option_name_01_addcontent(){
	return 'hautility-option-01-addcontent';
}

/* get_option */
// phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
function GetOP01_addcontent(){
	$output = get_option(haumenu_define_option_name_01_addcontent() , [] );
	return $output;
}

/*** ショートコード機能 ***/
/* セクションID */
function haumenu_define_section_id_02_addcontent(){
	return 'haumenu-section-02-addcontent';
}

/* タブのスラグ */
function haumenu_define_tab_slug_02_addcontent(){
	return 'haumenu-tab-slug-02-addcontent';
}

/* $option_group 設定グループ名 */
function haumenu_define_option_group_02_addcontent(){
	return 'haumenu-option-group-02-addcontent';
}

/* $option_name 設定名 */
function haumenu_define_option_name_02_addcontent(){
	return 'hautility-option-02-addcontent';
}

/* get_option */
// phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
function GetOP02_addcontent(){
	$output = get_option(haumenu_define_option_name_02_addcontent() , [] );
	return $output;
}

/*** ツールチップショートコード ***/
/* セクションID */
function haumenu_define_section_id_03_addcontent(){
	return 'haumenu-section-03-addcontent';
}

/* タブのスラグ */
function haumenu_define_tab_slug_03_addcontent(){
	return 'haumenu-tab-slug-03-addcontent';
}

/* $option_group 設定グループ名 */
function haumenu_define_option_group_03_addcontent(){
	return 'haumenu-option-group-03-addcontent';
}

/* $option_name 設定名 */
function haumenu_define_option_name_03_addcontent(){
	return 'hautility-option-03-addcontent';
}

/* get_option */
// phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
function GetOP03_addcontent(){
	$output = get_option(haumenu_define_option_name_03_addcontent() , [] );
	return $output;
}

/*** 固定ヘッダー ***/
/* セクションID */
function haumenu_define_section_id_04_addcontent(){
	return 'haumenu-section-04-addcontent';
}

/* タブのスラグ */
function haumenu_define_tab_slug_04_addcontent(){
	return 'haumenu-tab-slug-04-addcontent';
}

/* $option_group 設定グループ名 */
function haumenu_define_option_group_04_addcontent(){
	return 'haumenu-option-group-04-addcontent';
}

/* $option_name 設定名 */
function haumenu_define_option_name_04_addcontent(){
	return 'hautility-option-04-addcontent';
}


/* get_option */
// phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
function GetOP04_addcontent(){
	$output = get_option(haumenu_define_option_name_04_addcontent() , [] );
	return $output;
}

/*** 古い投稿の通知 ***/
/* セクションID */
function haumenu_define_section_id_05_addcontent(){
	return 'haumenu-section-05-addcontent';
}

/* タブのスラグ */
function haumenu_define_tab_slug_05_addcontent(){
	return 'haumenu-tab-slug-05-addcontent';
}

/* $option_group 設定グループ名 */
function haumenu_define_option_group_05_addcontent(){
	return 'haumenu-option-group-05-addcontent';
}

/* $option_name 設定名 */
function haumenu_define_option_name_05_addcontent(){
	return 'hautility-option-05-addcontent';
}

/* get_option */
// phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
function GetOP05_addcontent(){
	$output = get_option(haumenu_define_option_name_05_addcontent() , [] );
	return $output;
}

/*** トップ・ホームへ戻るボタン ***/
/* セクションID */
function haumenu_define_section_id_06_addcontent(){
	return 'haumenu-section-06-addcontent';
}

/* タブのスラグ */
function haumenu_define_tab_slug_06_addcontent(){
	return 'haumenu-tab-slug-06-addcontent';
}

/* $option_group 設定グループ名 */
function haumenu_define_option_group_06_addcontent(){
	return 'haumenu-option-group-06-addcontent';
}

/* $option_name 設定名 */
function haumenu_define_option_name_06_addcontent(){
	return 'hautility-option-06-addcontent';
}

/* get_option */
// phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
function GetOP06_addcontent(){
	$output = get_option(haumenu_define_option_name_06_addcontent() , [] );
	return $output;
}

/*** ヘッダースライダーショートコード ***/
/* セクションID */
function haumenu_define_section_id_07_addcontent(){
	return 'haumenu-section-07-addcontent';
}

/* タブのスラグ */
function haumenu_define_tab_slug_07_addcontent(){
	return 'haumenu-tab-slug-07-addcontent';
}

/* $option_group 設定グループ名 */
function haumenu_define_option_group_07_addcontent(){
	return 'haumenu-option-group-07-addcontent';
}

/* $option_name 設定名 */
function haumenu_define_option_name_07_addcontent(){
	return 'hautility-option-07-addcontent';
}

/* get_option */
// phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
function GetOP07_addcontent(){
	$output = get_option(haumenu_define_option_name_07_addcontent() , [] );
	return $output;
}

/*** スライドインコンテンツ ***/
/* セクションID */
function haumenu_define_section_id_08_addcontent(){
	return 'haumenu-section-08-addcontent';
}

/* タブのスラグ */
function haumenu_define_tab_slug_08_addcontent(){
	return 'haumenu-tab-slug-08-addcontent';
}

/* $option_group 設定グループ名 */
function haumenu_define_option_group_08_addcontent(){
	return 'haumenu-option-group-08-addcontent';
}

/* $option_name 設定名 */
function haumenu_define_option_name_08_addcontent(){
	return 'hautility-option-08-addcontent';
}

/* get_option */
// phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
function GetOP08_addcontent(){
	$output = get_option(haumenu_define_option_name_08_addcontent() , [] );
	return $output;
}

/*** アイコンフォント ***/
/* セクションID */
function haumenu_define_section_id_09_addcontent(){
	return 'haumenu-section-09-addcontent';
}

/* タブのスラグ */
function haumenu_define_tab_slug_09_addcontent(){
	return 'haumenu-tab-slug-09-addcontent';
}

/* $option_group 設定グループ名 */
function haumenu_define_option_group_09_addcontent(){
	return 'haumenu-option-group-09-addcontent';
}

/* $option_name 設定名 */
function haumenu_define_option_name_09_addcontent(){
	return 'hautility-option-09-addcontent';
}

/* get_option */
// phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
function GetOP09_addcontent(){
	$output = get_option(haumenu_define_option_name_09_addcontent() , [] );
	return $output;
}

/*** Cookieの同意 ***/
/* セクションID */
function haumenu_define_section_id_10_addcontent(){
	return 'haumenu-section-10-addcontent';
}

/* タブのスラグ */
function haumenu_define_tab_slug_10_addcontent(){
	return 'haumenu-tab-slug-10-addcontent';
}

/* $option_group 設定グループ名 */
function haumenu_define_option_group_10_addcontent(){
	return 'haumenu-option-group-10-addcontent';
}

/* $option_name 設定名 */
function haumenu_define_option_name_10_addcontent(){
	return 'hautility-option-10-addcontent';
}

/* get_option */
// phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
function GetOP10_addcontent(){
	$output = get_option(haumenu_define_option_name_10_addcontent() , [] );
	return $output;
}

/*** パンくずリスト ***/
/* セクションID */
function haumenu_define_section_id_11_addcontent(){
	return 'haumenu-section-11-addcontent';
}

/* タブのスラグ */
function haumenu_define_tab_slug_11_addcontent(){
	return 'haumenu-tab-slug-11-addcontent';
}

/* $option_group 設定グループ名 */
function haumenu_define_option_group_11_addcontent(){
	return 'haumenu-option-group-11-addcontent';
}

/* $option_name 設定名 */
function haumenu_define_option_name_11_addcontent(){
	return 'hautility-option-11-addcontent';
}

/* get_option */
// phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
function GetOP11_addcontent(){
	$output = get_option(haumenu_define_option_name_11_addcontent() , [] );
	return $output;
}

/*** トップへ戻るリンク ***/
/* セクションID */
function haumenu_define_section_id_12_addcontent(){
	return 'haumenu-section-12-addcontent';
}

/* タブのスラグ */
function haumenu_define_tab_slug_12_addcontent(){
	return 'haumenu-tab-slug-12-addcontent';
}

/* $option_group 設定グループ名 */
function haumenu_define_option_group_12_addcontent(){
	return 'haumenu-option-group-12-addcontent';
}

/* $option_name 設定名 */
function haumenu_define_option_name_12_addcontent(){
	return 'hautility-option-12-addcontent';
}

/* get_option */
// phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
function GetOP12_addcontent(){
	$output = get_option(haumenu_define_option_name_12_addcontent() , [] );
	return $output;
}

/*****  サブメニューの追加 *****/
/* サブメニューの追加 */
function haumenu_add_submenu_addcontent() {
	add_submenu_page(
		haumenu_define_menu_slug(), // $parent_slug メインメニューのスラグ
		__('Add Content','hima-art-utility'), //設定ページのタイトル
		__('Add Content','hima-art-utility'), //管理画面メニューに表示される名前
		'manage_options', // $capability 権限
		haumenu_define_slug_addcontent(), // $menu_slug サブメニューのスラグ
		'haumenu_setting_screen_addcontent', // $callback コールバック関数
		5 //$position サブメニューを表示する位置
	);
}
add_action( 'admin_menu', 'haumenu_add_submenu_addcontent' );


/***** このサブメニューに表示させるセクションの登録 *****/
function haumenu_add_section_addcontent(){
// パターン機能
	add_settings_section(
		haumenu_define_section_id_01_addcontent(), // セクションID
		__('Patterns','hima-art-utility'), // セクションタイトル
		'haumenu_section_callback_01_addcontent', // セクションの説明を表示するコールバック関数
		haumenu_define_tab_slug_01_addcontent() // タブのスラグ
	);

// ショートコード機能
	add_settings_section(
		haumenu_define_section_id_02_addcontent(), // セクションID
		__('Shortcode','hima-art-utility'), // セクションタイトル
		'haumenu_section_callback_02_addcontent', // セクションの説明を表示するコールバック関数
		haumenu_define_tab_slug_02_addcontent() // タブのスラグ
	);

// ツールチップショートコード
	add_settings_section(
		haumenu_define_section_id_03_addcontent(), // セクションID
		__('Tooltip','hima-art-utility'), // セクションタイトル
		'haumenu_section_callback_03_addcontent', // セクションの説明を表示するコールバック関数
		haumenu_define_tab_slug_03_addcontent() // タブのスラグ
	);

// 固定ヘッダー
	add_settings_section(
		haumenu_define_section_id_04_addcontent(), // セクションID
		__('Fixed Header','hima-art-utility'), // セクションタイトル
		'haumenu_section_callback_04_addcontent', // セクションの説明を表示するコールバック関数
		haumenu_define_tab_slug_04_addcontent() // タブのスラグ
	);

// 古い投稿の通知
	add_settings_section(
		haumenu_define_section_id_05_addcontent(), // セクションID
		__('Notification of possible outdated information','hima-art-utility'), // セクションタイトル
		'haumenu_section_callback_05_addcontent', // セクションの説明を表示するコールバック関数
		haumenu_define_tab_slug_05_addcontent() // タブのスラグ
	);

// トップ・ホームへ戻るボタン
	add_settings_section(
		haumenu_define_section_id_06_addcontent(), // セクションID
		__('Page top scroll & Return home Button','hima-art-utility'), // セクションタイトル
		'haumenu_section_callback_06_addcontent', // セクションの説明を表示するコールバック関数
		haumenu_define_tab_slug_06_addcontent() // タブのスラグ
	);

// ヘッダースライダーショートコード
	add_settings_section(
		haumenu_define_section_id_07_addcontent(), // セクションID
		__('Header Image Slider','hima-art-utility'), // セクションタイトル
		'haumenu_section_callback_07_addcontent', // セクションの説明を表示するコールバック関数
		haumenu_define_tab_slug_07_addcontent() // タブのスラグ
	);

// スライドインコンテンツ
	add_settings_section(
		haumenu_define_section_id_08_addcontent(), // セクションID
		__('Slide In Content','hima-art-utility'), // セクションタイトル
		'haumenu_section_callback_08_addcontent', // セクションの説明を表示するコールバック関数
		haumenu_define_tab_slug_08_addcontent() // タブのスラグ
	);

// アイコンフォント
	add_settings_section(
		haumenu_define_section_id_09_addcontent(), // セクションID
		__('Icon Fonts','hima-art-utility'), // セクションタイトル
		'haumenu_section_callback_09_addcontent', // セクションの説明を表示するコールバック関数
		haumenu_define_tab_slug_09_addcontent() // タブのスラグ
	);

// Cookieの同意
	add_settings_section(
		haumenu_define_section_id_10_addcontent(), // セクションID
		__('Cookie Consent','hima-art-utility'), // セクションタイトル
		'haumenu_section_callback_10_addcontent', // セクションの説明を表示するコールバック関数
		haumenu_define_tab_slug_10_addcontent() // タブのスラグ
	);

// パンくずリスト
	add_settings_section(
		haumenu_define_section_id_11_addcontent(), // セクションID
		__('Breadcrumbs List','hima-art-utility'), // セクションタイトル
		'haumenu_section_callback_11_addcontent', // セクションの説明を表示するコールバック関数
		haumenu_define_tab_slug_11_addcontent() // タブのスラグ
	);

// トップへ戻るリンク
	add_settings_section(
		haumenu_define_section_id_12_addcontent(), // セクションID
		__('Auto Insert Return to Page Top Link','hima-art-utility'), // セクションタイトル
		'haumenu_section_callback_12_addcontent', // セクションの説明を表示するコールバック関数
		haumenu_define_tab_slug_12_addcontent() // タブのスラグ
	);
}
add_action('admin_init', 'haumenu_add_section_addcontent');

/*** 説明文のコールバック ***/
/* パターン機能の説明文 */
function haumenu_section_callback_01_addcontent() {
	$content00 ='';
	echo '<p>'.esc_html($content00).'</p>';
}

/* ショートコード機能の説明文 */
function haumenu_section_callback_02_addcontent() {
	$content01 ='';
	echo '<p>'.esc_html($content01).'</p>';
}

/* ツールチップショートコードの説明文 */
function haumenu_section_callback_03_addcontent() {
	$content01 =__('Sets the color of the tooltip shortcode','hima-art-utility');
	echo '<p>'.esc_html($content01).'</p>';
}

/* 固定ヘッダーの追加の説明文 */
function haumenu_section_callback_04_addcontent() {
	$content01 =__('By making various settings, you can display a fixed header at the top of the page when scrolling the screen (only works when browsing on a computer)','hima-art-utility');
	$content01a =__('You can also display content created with reuse blocks.','hima-art-utility');
		echo '<p>'.esc_html($content01).'<br>'.esc_html($content01a).'</p>';
}

/* 古い投稿の通知の説明文 */
function haumenu_section_callback_05_addcontent() {
	$content01 =__('Automatically displays that the information may be outdated at the beginning of the text of posts that have passed a certain period of time since the last update date.','hima-art-utility');
	echo '<p>'.esc_html($content01).'</p>';
}

/* トップ・ホームへ戻るボタンの説明文 */
function haumenu_section_callback_06_addcontent() {
	$content01 =__('This is the setting of the "Return to the top of the page" and "Return to the homepage" buttons that are automatically displayed at the bottom right of the screen when the page is scrolled.','hima-art-utility');
	echo '<p>'.esc_html($content01).'</p>';
}

/* ヘッダースライダーショートコードの説明文 */
function haumenu_section_callback_07_addcontent() {
	$content01 =__('Output a lightweight image slider displayed only with CSS with ','hima-art-utility');
	$content02 =__('Be sure to select 3 images (the image will be clipped based on the center)','hima-art-utility');
	echo '<p>'.esc_html($content01);
	echo '<span style="font-size:1.2em;"><strong>[ha-slide-image]</strong></span>';
	echo esc_html_e(' shortcode','hima-art-utility').'</p>';
	echo '<p style="color:red;">'.esc_html($content02).'</p>';
}

/* スライドインコンテンツの説明文 */
function haumenu_section_callback_08_addcontent() {
	$content01 =__('By specifying the ID of the reusable block created using the menu or the latest post, you can create content that slides in from outside the screen when the button is clicked.','hima-art-utility');
	$content02 =__('Since the content created with the reusable block will be displayed, please create the reusable block to be displayed first and make a note of the ID.','hima-art-utility');
	echo '<p>'.esc_html($content01).'</p>';
	echo '<p style="color:green;">'.esc_html($content02).'</p>';
}

/* アイコンフォントの説明文 */
function haumenu_section_callback_09_addcontent() {
	$content01 =__('Settings for using icon fonts on your site','hima-art-utility');
	echo '<p>'.esc_html($content01).'</p>';
}

/* Cookie同意の説明文 */
function haumenu_section_callback_10_addcontent() {
	$content01 =__('At the bottom of the screen, output a text that uses cookies, provides some information to the outside, a link to the privacy policy page, an agreement button, etc.','hima-art-utility');
	$content02 =__('The content displayed at the bottom of the screen will not be displayed again for about one year if you access it from the same browser by clicking the "Confirm the contents and accept" button.','hima-art-utility');
	echo '<p>'.esc_html($content01).'</p>';
	echo '<p>'.esc_html($content02).'</p>';
	echo '<div style="text-align:right;margin-top:1rem;"><a href="'.esc_url(HAUP_MANUAL_DIR).'/howtouse-cookie-consent" target="_blank">'.esc_html(haup_manual_text()).'</a></div>';
}

/* パンくずリストの説明文 */
function haumenu_section_callback_11_addcontent() {
	$content01 =__('View breadcrumbs in individual posts. You can insert it automatically under the title or insert it at any position with a shortcode.','hima-art-utility');
	$content02 =__('If you want to output to any place, please insert [ha-bread] shortcode','hima-art-utility');
	$content03 =__('Please note that nothing will be displayed even if the shortcode is inserted into a template other than an individual post.','hima-art-utility');
	$content04 =__('Due to the display space, it is output only when it is displayed on a personal computer.','hima-art-utility');
	echo '<p>'.esc_html($content01).'</p>';
	echo '<p style="color:green;">'.esc_html($content02).'</p>';
	echo '<p style="color:green;">'.esc_html($content03).'</p>';
	echo '<p style="color:red;">'.esc_html($content04).'</p>';
}

/* トップへ戻るリンクの説明文 */
function haumenu_section_callback_12_addcontent() {
	$content01 =__('A function that automatically inserts a "back to the top of the page" link at the top of a specific tag in the text.','hima-art-utility');
	echo '<p>'.esc_html($content01).'</p>';
	echo '<div style="text-align:right;margin-top:1rem;"><a href="'.esc_url(HAUP_MANUAL_DIR).'/howtouse-back-to-top-link" target="_blank">'.esc_html(haup_manual_text()).'</a></div>';
}

/***** 設定グループを追加 *****/
function haumenu_register_setting_addcontent(){
/* パターン機能 */
	register_setting(
		haumenu_define_option_group_01_addcontent(), // $option_group 設定グループ名
		haumenu_define_option_name_01_addcontent(), // $option_name 設定名
		[
			'sanitize_callback' => 'haumenu_sanitize_content_add_patterns',
		] //$args サニタイズ（データの無害化）関数の呼び出し
	);

/* ショートコード機能 */
	register_setting(
		haumenu_define_option_group_02_addcontent(), // $option_group 設定グループ名
		haumenu_define_option_name_02_addcontent(), // $option_name 設定名
		[
			'sanitize_callback' => 'haumenu_sanitize_content_add_shortcode',
		] //$args サニタイズ（データの無害化）関数の呼び出し
	);

/* ツールチップショートコード */
	register_setting(
		haumenu_define_option_group_03_addcontent(), // $option_group 設定グループ名
		haumenu_define_option_name_03_addcontent(), // $option_name 設定名
		[
			'sanitize_callback' => 'haumenu_sanitize_content_add_tooltip',
		] //$args サニタイズ（データの無害化）関数の呼び出し
	);

/* 固定ヘッダー */
	register_setting(
		haumenu_define_option_group_04_addcontent(), // $option_group 設定グループ名
		haumenu_define_option_name_04_addcontent(), // $option_name 設定名
		[
			'sanitize_callback' => 'haumenu_sanitize_content_add_fix_header',
		] //$args サニタイズ（データの無害化）関数の呼び出し
	);

/* 古い投稿の通知 */
	register_setting(
		haumenu_define_option_group_05_addcontent(), // $option_group 設定グループ名
		haumenu_define_option_name_05_addcontent(), // $option_name 設定名
		[
			'sanitize_callback' => 'haumenu_sanitize_content_add_old_page',
		] //$args サニタイズ（データの無害化）関数の呼び出し
	);

/* トップ・ホームへ戻るボタン */
	register_setting(
		haumenu_define_option_group_06_addcontent(), // $option_group 設定グループ名
		haumenu_define_option_name_06_addcontent(), // $option_name 設定名
		[
			'sanitize_callback' => 'haumenu_sanitize_content_add_home_top',
		] //$args サニタイズ（データの無害化）関数の呼び出し
	);

/* ヘッダースライダーショートコード */
	register_setting(
		haumenu_define_option_group_07_addcontent(), // $option_group 設定グループ名
		haumenu_define_option_name_07_addcontent(), // $option_name 設定名
		[
			'sanitize_callback' => 'haumenu_sanitize_content_add_header_slider',
		] //$args サニタイズ（データの無害化）関数の呼び出し
	);

/* スライドインコンテンツ */
	register_setting(
		haumenu_define_option_group_08_addcontent(), // $option_group 設定グループ名
		haumenu_define_option_name_08_addcontent(), // $option_name 設定名
		[
			'sanitize_callback' => 'haumenu_sanitize_content_add_slidein_content',
		] //$args サニタイズ（データの無害化）関数の呼び出し
	);

/* アイコンフォント */
	register_setting(
		haumenu_define_option_group_09_addcontent(), // $option_group 設定グループ名
		haumenu_define_option_name_09_addcontent(), // $option_name 設定名
		[
			'sanitize_callback' => 'haumenu_sanitize_content_add_icon_font',
		] //$args サニタイズ（データの無害化）関数の呼び出し
	);

/* Cookieの同意 */
	register_setting(
		haumenu_define_option_group_10_addcontent(), // $option_group 設定グループ名
		haumenu_define_option_name_10_addcontent(), // $option_name 設定名
		[
			'sanitize_callback' => 'haumenu_sanitize_content_add_cookie_consent',
		] //$args サニタイズ（データの無害化）関数の呼び出し
	);

/* パンくずリスト */
	register_setting(
		haumenu_define_option_group_11_addcontent(), // $option_group 設定グループ名
		haumenu_define_option_name_11_addcontent(), // $option_name 設定名
		[
			'sanitize_callback' => 'haumenu_sanitize_content_add_breadcrumb',
		] //$args サニタイズ（データの無害化）関数の呼び出し
	);

/* トップへ戻るリンク */
	register_setting(
		haumenu_define_option_group_12_addcontent(), // $option_group 設定グループ名
		haumenu_define_option_name_12_addcontent(), // $option_name 設定名
		[
			'sanitize_callback' => 'haumenu_sanitize_content_add_auto_page_top_link',
		] //$args サニタイズ（データの無害化）関数の呼び出し
	);
}
add_action('admin_init', 'haumenu_register_setting_addcontent');

/***** 設定画面内に表示させる内容 *****/
function haumenu_setting_screen_addcontent() {
?>
<div class="wrap">
	<h1><?php esc_html_e('HimaArt Utilitiy Add Content Setting','hima-art-utility'); ?></h1>
	<p><?php esc_html_e('Settings for inserting content into the site and using convenient shortcodes','hima-art-utility'); ?></p>

	<?php settings_errors(); //更新時のメッセージ表示?>
<?php
//クリックしたらタブを開く（初期はtabs_01を開く）
if ( ! isset( $_POST['haumenu_admin_panel_nonce_field'] ) || ! wp_verify_nonce( sanitize_text_field( wp_unslash($_POST['haumenu_admin_panel_nonce_field'])), 'haumenu_admin_panel_nonce_action' ) ) {
if( isset( $_GET[ 'tab' ] )) {
	$active_tab = sanitize_text_field(wp_unslash($_GET[ 'tab' ]));
}else{
	$active_tab = 'tabs_01';
}
}
?>

	<?php //ページスラグとタブスラグを変更すること ?>
	<h2 class="nav-tab-wrapper">
		<a href="?page=<?php echo esc_html(haumenu_define_slug_addcontent()); ?>&tab=tabs_01" class="nav-tab <?php echo $active_tab == 'tabs_01' ? 'nav-tab-active' : ''; ?>">
			<?php esc_html_e('Patterns','hima-art-utility'); ?>
		</a>

		<a href="?page=<?php echo esc_html(haumenu_define_slug_addcontent()); ?>&tab=tabs_02" class="nav-tab <?php echo $active_tab == 'tabs_02' ? 'nav-tab-active' : ''; ?>">
			<?php esc_html_e('Shortcode','hima-art-utility'); ?>
		</a>

		<a href="?page=<?php echo esc_html(haumenu_define_slug_addcontent()); ?>&tab=tabs_03" class="nav-tab <?php echo $active_tab == 'tabs_03' ? 'nav-tab-active' : ''; ?>">
			<?php esc_html_e('Tooltip','hima-art-utility'); ?>
		</a>

		<a href="?page=<?php echo esc_html(haumenu_define_slug_addcontent()); ?>&tab=tabs_04" class="nav-tab <?php echo $active_tab == 'tabs_04' ? 'nav-tab-active' : ''; ?>">
			<?php esc_html_e('Fixed Header','hima-art-utility'); ?>
		</a>

		<a href="?page=<?php echo esc_html(haumenu_define_slug_addcontent()); ?>&tab=tabs_05" class="nav-tab <?php echo $active_tab == 'tabs_05' ? 'nav-tab-active' : ''; ?>">
			<?php esc_html_e('Notification of possible outdated information','hima-art-utility'); ?>
		</a>

		<a href="?page=<?php echo esc_html(haumenu_define_slug_addcontent()); ?>&tab=tabs_06" class="nav-tab <?php echo $active_tab == 'tabs_06' ? 'nav-tab-active' : ''; ?>">
			<?php esc_html_e('Page top scroll & Return home Button','hima-art-utility'); ?>
		</a>

		<a href="?page=<?php echo esc_html(haumenu_define_slug_addcontent()); ?>&tab=tabs_07" class="nav-tab <?php echo $active_tab == 'tabs_07' ? 'nav-tab-active' : ''; ?>">
			<?php esc_html_e('Header Image Slider','hima-art-utility'); ?>
		</a>

		<a href="?page=<?php echo esc_html(haumenu_define_slug_addcontent()); ?>&tab=tabs_08" class="nav-tab <?php echo $active_tab == 'tabs_08' ? 'nav-tab-active' : ''; ?>">
			<?php esc_html_e('Slide In Content','hima-art-utility'); ?>
		</a>

		<a href="?page=<?php echo esc_html(haumenu_define_slug_addcontent()); ?>&tab=tabs_09" class="nav-tab <?php echo $active_tab == 'tabs_09' ? 'nav-tab-active' : ''; ?>">
			<?php esc_html_e('Icon Fonts','hima-art-utility'); ?>
		</a>

		<a href="?page=<?php echo esc_html(haumenu_define_slug_addcontent()); ?>&tab=tabs_10" class="nav-tab <?php echo $active_tab == 'tabs_10' ? 'nav-tab-active' : ''; ?>">
			<?php esc_html_e('Cookie Consent','hima-art-utility'); ?>
		</a>

		<a href="?page=<?php echo esc_html(haumenu_define_slug_addcontent()); ?>&tab=tabs_11" class="nav-tab <?php echo $active_tab == 'tabs_11' ? 'nav-tab-active' : ''; ?>">
			<?php esc_html_e('Breadcrumbs List','hima-art-utility'); ?>
		</a>

		<a href="?page=<?php echo esc_html(haumenu_define_slug_addcontent()); ?>&tab=tabs_12" class="nav-tab <?php echo $active_tab == 'tabs_12' ? 'nav-tab-active' : ''; ?>">
			<?php esc_html_e('Return to Page Top Link','hima-art-utility'); ?>
		</a>
	</h2>

<form action="options.php" method="post">
<?php wp_nonce_field( 'haumenu_admin_panel_nonce_action', 'haumenu_admin_panel_nonce_field' ); ?>

	<?php 
//詳細項目の「表示させるタブのスラグ」によって設定内容を表示させるタブを分ける
	if( $active_tab == 'tabs_01') { 
		settings_fields( haumenu_define_option_group_01_addcontent() ); //$option_group 設定グループ名
		do_settings_sections( haumenu_define_tab_slug_01_addcontent() ); //タブのスラグ
	} elseif( $active_tab == 'tabs_02' ) { 
		settings_fields( haumenu_define_option_group_02_addcontent() ); //$option_group 設定グループ名
		do_settings_sections( haumenu_define_tab_slug_02_addcontent() ); //タブのスラグ
	} elseif( $active_tab == 'tabs_03' ) { 
		settings_fields( haumenu_define_option_group_03_addcontent() ); //$option_group 設定グループ名
		do_settings_sections( haumenu_define_tab_slug_03_addcontent() ); //タブのスラグ
	} elseif( $active_tab == 'tabs_04' ) { 
		settings_fields( haumenu_define_option_group_04_addcontent() ); //$option_group 設定グループ名
		do_settings_sections( haumenu_define_tab_slug_04_addcontent() ); //タブのスラグ
	} elseif( $active_tab == 'tabs_05' ) { 
		settings_fields( haumenu_define_option_group_05_addcontent() ); //$option_group 設定グループ名
		do_settings_sections( haumenu_define_tab_slug_05_addcontent() ); //タブのスラグ
	} elseif( $active_tab == 'tabs_06' ) { 
		settings_fields( haumenu_define_option_group_06_addcontent() ); //$option_group 設定グループ名
		do_settings_sections( haumenu_define_tab_slug_06_addcontent() ); //タブのスラグ
	} elseif( $active_tab == 'tabs_07' ) { 
		settings_fields( haumenu_define_option_group_07_addcontent() ); //$option_group 設定グループ名
		do_settings_sections( haumenu_define_tab_slug_07_addcontent() ); //タブのスラグ
	} elseif( $active_tab == 'tabs_08' ) { 
		settings_fields( haumenu_define_option_group_08_addcontent() ); //$option_group 設定グループ名
		do_settings_sections( haumenu_define_tab_slug_08_addcontent() ); //タブのスラグ
		} elseif( $active_tab == 'tabs_09' ) { 
		settings_fields( haumenu_define_option_group_09_addcontent() ); //$option_group 設定グループ名
		do_settings_sections( haumenu_define_tab_slug_09_addcontent() ); //タブのスラグ
		} elseif( $active_tab == 'tabs_10' ) { 
		settings_fields( haumenu_define_option_group_10_addcontent() ); //$option_group 設定グループ名
		do_settings_sections( haumenu_define_tab_slug_10_addcontent() ); //タブのスラグ
		} elseif( $active_tab == 'tabs_11' ) { 
		settings_fields( haumenu_define_option_group_11_addcontent() ); //$option_group 設定グループ名
		do_settings_sections( haumenu_define_tab_slug_11_addcontent() ); //タブのスラグ
		} elseif( $active_tab == 'tabs_12' ) { 
		settings_fields( haumenu_define_option_group_12_addcontent() ); //$option_group 設定グループ名
		do_settings_sections( haumenu_define_tab_slug_12_addcontent() ); //タブのスラグ
	}else{}

		// 保存ボタンを生成
				submit_button(); 
		?>

	</form>
</div>
<?php
}



/*** 詳細設定項目の呼び出し ***/
/* パターン機能 */
require_once (__DIR__ .'/patterns/setting.php');

/* ショートコード機能 */
require_once (__DIR__ .'/shortcode/setting.php');

/* ツールチップショートコード */
require_once (__DIR__ .'/tooltip/setting.php');

/* 固定ヘッダー */
require_once (__DIR__ .'/fix-header/setting.php');

/* 古い投稿の通知 */
require_once (__DIR__ .'/old-page/setting.php');

/* トップ・ホームへ戻るボタン */
require_once (__DIR__ .'/home-top/setting.php');

/* ヘッダースライダーショートコード */
require_once (__DIR__ .'/header-slider/setting.php');

/* スライドインコンテンツ */
require_once (__DIR__ .'/slidein-content/setting.php');

/* アイコンフォント */
require_once (__DIR__ .'/icon-font/setting.php');

/* Cookie同意 */
require_once (__DIR__ .'/cookie-consent/setting.php');

/* パンくずリスト */
require_once (__DIR__ .'/breadcrumb/setting.php');

/* 上へ戻るリンク */
require_once (__DIR__ .'/auto-page-top-link/setting.php');


/*** サニタイズ関数の呼び出し ***/
/* パターン機能 */
require_once (__DIR__ .'/patterns/sanitize.php');

/* ショートコード機能 */
require_once (__DIR__ .'/shortcode/sanitize.php');

/* ツールチップショートコード */
require_once (__DIR__ .'/tooltip/sanitize.php');

/* 固定ヘッダー */
require_once (__DIR__ .'/fix-header/sanitize.php');

/* 古い投稿の通知 */
require_once (__DIR__ .'/old-page/sanitize.php');

/* トップ・ホームへ戻るボタン */
require_once (__DIR__ .'/home-top/sanitize.php');

/* ヘッダースライダーショートコード */
require_once (__DIR__ .'/header-slider/sanitize.php');

/* スライドインコンテンツ */
require_once (__DIR__ .'/slidein-content/sanitize.php');

/* アイコンフォント */
require_once (__DIR__ .'/icon-font/sanitize.php');

/* Cookie同意 */
require_once (__DIR__ .'/cookie-consent/sanitize.php');

/* パンくずリスト */
require_once (__DIR__ .'/breadcrumb/sanitize.php');

/* 上へ戻るリンク */
require_once (__DIR__ .'/auto-page-top-link/sanitize.php');